<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Firma\KursUebersicht\KursUebersicht\Detailsreiter\Termine\TerminStornierenDialog;

class TerminStornierenDialogController extends \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Termine\TerminStornierenDialog\TerminStornierenDialogController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new TerminStornierenDialogUseCase(
      $this->getRequestObj()
    );
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new TerminStornierenDialogPresenter($pUseCaseResponse);
  }
}